Index: orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- orxonox/trunk/src/util/resource_manager.cc	(revision 4596)
+++ orxonox/trunk/src/util/resource_manager.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -47,11 +47,13 @@
    \brief standard constructor
 */
-ResourceManager::ResourceManager () 
-{
-   this->setClassID(CL_RESOURCE_MANAGER, "ResourceManager");
-   this->dataDir = NULL;
-   this->setDataDir("./");
-   this->imageDirs = new tList<char>();
-   this->resourceList = new tList<Resource>();
+ResourceManager::ResourceManager ()
+{
+  this->setClassID(CL_RESOURCE_MANAGER, "ResourceManager");
+  this->setName("ResourceManager");
+
+  this->dataDir = NULL;
+  this->setDataDir("./");
+  this->imageDirs = new tList<char>();
+  this->resourceList = new tList<Resource>();
 }
 
@@ -62,5 +64,5 @@
    \brief standard destructor
 */
-ResourceManager::~ResourceManager (void) 
+ResourceManager::~ResourceManager (void)
 {
   // deleting the Resources-List
@@ -106,5 +108,5 @@
 
 /**
-   \brief checks for the DataDirectory, by looking if 
+   \brief checks for the DataDirectory, by looking if
    \param fileInside is inisde??
 */
@@ -117,5 +119,5 @@
       return false;
     }
-  
+
   char* testFile = new char[strlen(this->dataDir)+strlen(fileInside)+1];
   sprintf(testFile, "%s%s", this->dataDir, fileInside);
@@ -141,13 +143,13 @@
       char* tmpDir = tmpImageDirs->nextElement();
       while(tmpDir)
-	{
-	  if (!strcmp(tmpDir, imageDir))
-	    {
-	      PRINTF(4)("Path %s already loaded\n", imageDir);
-	      delete tmpImageDirs;
-	      return true;
-	    }
-	  tmpDir = tmpImageDirs->nextElement();
-	}
+        {
+          if (!strcmp(tmpDir, imageDir))
+            {
+              PRINTF(4)("Path %s already loaded\n", imageDir);
+              delete tmpImageDirs;
+              return true;
+            }
+          tmpDir = tmpImageDirs->nextElement();
+        }
       delete tmpImageDirs;
 
@@ -185,5 +187,5 @@
   else if (!strcmp(fileName, "cube") ||
            !strcmp(fileName, "sphere") ||
-	   !strcmp(fileName, "plane") ||
+           !strcmp(fileName, "plane") ||
            !strcmp(fileName, "cylinder") ||
            !strcmp(fileName, "cone"))
@@ -203,5 +205,5 @@
 #endif /* NO_TEXT */
 #ifndef NO_TEXTURES
-  else 
+  else
     tmpType = IMAGE;
 #endif /* NO_TEXTURES */
@@ -221,5 +223,5 @@
 */
 void* ResourceManager::load(const char* fileName, ResourceType type, ResourcePriority prio,
-			    void* param1, void* param2, void* param3)
+                            void* param1, void* param2, void* param3)
 {
   // searching if the resource was loaded before.
@@ -230,5 +232,5 @@
       tmpResource->count++;
       if(tmpResource->prio < prio)
-	tmpResource->prio = prio;
+        tmpResource->prio = prio;
     }
   else
@@ -248,131 +250,131 @@
       // Checking for the type of resource \see ResourceType
       switch(type)
-	{
+        {
 #ifndef NO_MODEL
-	case OBJ:
-	  if (param1)
-	    tmpResource->modelSize = *(float*)param1;
-	  else
-	    tmpResource->modelSize = 1.0;
-
-	  if(ResourceManager::isFile(fullName))
-	    tmpResource->pointer = new OBJModel(fullName, tmpResource->modelSize);
-	  else
-	    {
-	      PRINTF(2)("Sorry, %s does not exist. Loading a cube-Model instead\n", fullName);
-	      tmpResource->pointer = ResourceManager::load("cube", PRIM, prio, &tmpResource->modelSize);
-	    }
-	  break;
-	case PRIM:
-	  if (param1)
-	    tmpResource->modelSize = *(float*)param1;
-	  else
-	    tmpResource->modelSize = 1.0;
-
-	  if (!strcmp(tmpResource->name, "cube"))
-	    tmpResource->pointer = new PrimitiveModel(PRIM_CUBE, tmpResource->modelSize);
-	  else if (!strcmp(tmpResource->name, "sphere"))
-	    tmpResource->pointer = new PrimitiveModel(PRIM_SPHERE, tmpResource->modelSize);
-	  else if (!strcmp(tmpResource->name, "plane"))
-	    tmpResource->pointer = new PrimitiveModel(PRIM_PLANE, tmpResource->modelSize);
-	  else if (!strcmp(tmpResource->name, "cylinder"))
-	    tmpResource->pointer = new PrimitiveModel(PRIM_CYLINDER, tmpResource->modelSize);
-	  else if (!strcmp(tmpResource->name, "cone"))
-	    tmpResource->pointer = new PrimitiveModel(PRIM_CONE, tmpResource->modelSize);
-	  break;
-	case MD2:
-	  if(ResourceManager::isFile(fullName))
-	    {
-	      if (param1)
-		{
-		  tmpResource->skinFileName = new char[strlen((const char*)param1)+1];
-		  strcpy(tmpResource->skinFileName, (const char*) param1);
-		}
-	      else
-		tmpResource->skinFileName = NULL;
-	      tmpResource->pointer = new MD2Data(fullName, tmpResource->skinFileName);
-	    }
-	      break;
+        case OBJ:
+          if (param1)
+            tmpResource->modelSize = *(float*)param1;
+          else
+            tmpResource->modelSize = 1.0;
+
+          if(ResourceManager::isFile(fullName))
+            tmpResource->pointer = new OBJModel(fullName, tmpResource->modelSize);
+          else
+            {
+              PRINTF(2)("Sorry, %s does not exist. Loading a cube-Model instead\n", fullName);
+              tmpResource->pointer = ResourceManager::load("cube", PRIM, prio, &tmpResource->modelSize);
+            }
+          break;
+        case PRIM:
+          if (param1)
+            tmpResource->modelSize = *(float*)param1;
+          else
+            tmpResource->modelSize = 1.0;
+
+          if (!strcmp(tmpResource->name, "cube"))
+            tmpResource->pointer = new PrimitiveModel(PRIM_CUBE, tmpResource->modelSize);
+          else if (!strcmp(tmpResource->name, "sphere"))
+            tmpResource->pointer = new PrimitiveModel(PRIM_SPHERE, tmpResource->modelSize);
+          else if (!strcmp(tmpResource->name, "plane"))
+            tmpResource->pointer = new PrimitiveModel(PRIM_PLANE, tmpResource->modelSize);
+          else if (!strcmp(tmpResource->name, "cylinder"))
+            tmpResource->pointer = new PrimitiveModel(PRIM_CYLINDER, tmpResource->modelSize);
+          else if (!strcmp(tmpResource->name, "cone"))
+            tmpResource->pointer = new PrimitiveModel(PRIM_CONE, tmpResource->modelSize);
+          break;
+        case MD2:
+          if(ResourceManager::isFile(fullName))
+            {
+              if (param1)
+                {
+                  tmpResource->skinFileName = new char[strlen((const char*)param1)+1];
+                  strcpy(tmpResource->skinFileName, (const char*) param1);
+                }
+              else
+                tmpResource->skinFileName = NULL;
+              tmpResource->pointer = new MD2Data(fullName, tmpResource->skinFileName);
+            }
+              break;
 #endif /* NO_MODEL */
 #ifndef NO_TEXT
-	case TTF:
-	    if (param1)
-	      tmpResource->ttfSize = *(int*)param1;
-	    else
-	      tmpResource->ttfSize = FONT_DEFAULT_SIZE;
-	    if (param2)
-	      {
-		Vector* tmpVec = (Vector*)param2;
-		tmpResource->ttfColorR = (int)tmpVec->x;
-		tmpResource->ttfColorG = (int)tmpVec->y;
-		tmpResource->ttfColorB = (int)tmpVec->z;
-	      }
-	    else
-	      {
-		tmpResource->ttfColorR = FONT_DEFAULT_COLOR_R;
-		tmpResource->ttfColorG = FONT_DEFAULT_COLOR_G;
-		tmpResource->ttfColorB = FONT_DEFAULT_COLOR_B;
-	      }
-	    
-	  if(isFile(fullName))
-	    tmpResource->pointer = new Font(fullName,
-					    tmpResource->ttfSize,
-					    tmpResource->ttfColorR,
-					    tmpResource->ttfColorG,
-					    tmpResource->ttfColorB);
-	  else
-	    PRINTF(2)("Sorry, %s does not exist. Not loading Font\n", fullName);
-	  break;
+        case TTF:
+            if (param1)
+              tmpResource->ttfSize = *(int*)param1;
+            else
+              tmpResource->ttfSize = FONT_DEFAULT_SIZE;
+            if (param2)
+              {
+                Vector* tmpVec = (Vector*)param2;
+                tmpResource->ttfColorR = (int)tmpVec->x;
+                tmpResource->ttfColorG = (int)tmpVec->y;
+                tmpResource->ttfColorB = (int)tmpVec->z;
+              }
+            else
+              {
+                tmpResource->ttfColorR = FONT_DEFAULT_COLOR_R;
+                tmpResource->ttfColorG = FONT_DEFAULT_COLOR_G;
+                tmpResource->ttfColorB = FONT_DEFAULT_COLOR_B;
+              }
+
+          if(isFile(fullName))
+            tmpResource->pointer = new Font(fullName,
+                                            tmpResource->ttfSize,
+                                            tmpResource->ttfColorR,
+                                            tmpResource->ttfColorG,
+                                            tmpResource->ttfColorB);
+          else
+            PRINTF(2)("Sorry, %s does not exist. Not loading Font\n", fullName);
+          break;
 #endif /* NO_TEXT */
 #ifndef NO_AUDIO
-	case WAV:
-	  if(isFile(fullName))
-	    tmpResource->pointer = new SoundBuffer(fullName);
-	  break;
+        case WAV:
+          if(isFile(fullName))
+            tmpResource->pointer = new SoundBuffer(fullName);
+          break;
 #endif /* NO_AUDIO */
 #ifndef NO_TEXTURES
-	case IMAGE:
-	  if(isFile(fullName))
-	    {
-	      PRINTF(4)("Image %s resides to %s\n", fileName, fullName);
-	      tmpResource->pointer = new Texture(fullName);
-	    }
-	  else
-	    {
-	      tIterator<char>* iterator = imageDirs->getIterator();
-	      tmpDir = iterator->nextElement();
-	      //tmpDir = imageDirs->enumerate();
-	      while(tmpDir)
-		{
-		  char* imgName = new char[strlen(tmpDir)+strlen(fileName)+1];
-		  sprintf(imgName, "%s%s", tmpDir, fileName);
-		  if(isFile(imgName))
-		    {
-		      PRINTF(4)("Image %s resides to %s\n", fileName, imgName);
-		      tmpResource->pointer = new Texture(imgName);
-		      delete []imgName;
-		      break;
-		    }
-		  delete []imgName;
-		  tmpDir = iterator->nextElement();
-		}
-	      delete iterator;
-	    }
-	  if(!tmpResource)
-	     PRINTF(2)("!!Image %s not Found!!\n", fileName);
-	  break;
+        case IMAGE:
+          if(isFile(fullName))
+            {
+              PRINTF(4)("Image %s resides to %s\n", fileName, fullName);
+              tmpResource->pointer = new Texture(fullName);
+            }
+          else
+            {
+              tIterator<char>* iterator = imageDirs->getIterator();
+              tmpDir = iterator->nextElement();
+              //tmpDir = imageDirs->enumerate();
+              while(tmpDir)
+                {
+                  char* imgName = new char[strlen(tmpDir)+strlen(fileName)+1];
+                  sprintf(imgName, "%s%s", tmpDir, fileName);
+                  if(isFile(imgName))
+                    {
+                      PRINTF(4)("Image %s resides to %s\n", fileName, imgName);
+                      tmpResource->pointer = new Texture(imgName);
+                      delete []imgName;
+                      break;
+                    }
+                  delete []imgName;
+                  tmpDir = iterator->nextElement();
+                }
+              delete iterator;
+            }
+          if(!tmpResource)
+             PRINTF(2)("!!Image %s not Found!!\n", fileName);
+          break;
 #endif /* NO_TEXTURES */
-	default:
-	  tmpResource->pointer = NULL;
-	  PRINTF(1)("No type found for %s.\n   !!This should not happen unless the Type is not supported yet.!!\n", tmpResource->name);
-	  break;
-	}
+        default:
+          tmpResource->pointer = NULL;
+          PRINTF(1)("No type found for %s.\n   !!This should not happen unless the Type is not supported yet.!!\n", tmpResource->name);
+          break;
+        }
       if (tmpResource->pointer)
-	this->resourceList->add(tmpResource);
+        this->resourceList->add(tmpResource);
       delete []fullName;
     }
   if (tmpResource->pointer)
     return tmpResource->pointer;
-  else 
+  else
     {
       PRINTF(2)("Resource %s could not be loaded\n", fileName);
@@ -413,44 +415,44 @@
     {
       if (resource->count <= 0)
-	{
-	  // deleting the Resource
-	  switch(resource->type)
-	    {
+        {
+          // deleting the Resource
+          switch(resource->type)
+            {
 #ifndef NO_MODEL
-	    case OBJ:
-	    case PRIM:
-	      delete (Model*)resource->pointer;
-	      break;
-	    case MD2:
-	      delete (MD2Data*)resource->pointer;
-	      break;
+            case OBJ:
+            case PRIM:
+              delete (Model*)resource->pointer;
+              break;
+            case MD2:
+              delete (MD2Data*)resource->pointer;
+              break;
 #endif /* NO_MODEL */
 #ifndef NO_AUDIO
-	    case WAV:
-	      delete (SoundBuffer*)resource->pointer;
-	      break;
+            case WAV:
+              delete (SoundBuffer*)resource->pointer;
+              break;
 #endif /* NO_AUDIO */
 #ifndef NO_TEXT
-	    case TTF:
-	      delete (Font*)resource->pointer;
-	      break;
+            case TTF:
+              delete (Font*)resource->pointer;
+              break;
 #endif /* NO_TEXT */
 #ifndef NO_TEXTURES
-	    case IMAGE:
-	      delete (Texture*)resource->pointer;
-	      break;
+            case IMAGE:
+              delete (Texture*)resource->pointer;
+              break;
 #endif /* NO_TEXTURES */
-	    default:
-	      PRINTF(1)("NOT YET IMPLEMENTED !!FIX FIX!!\n");
-	      return false;
-	      break;
-	    }
-	  // deleting the List Entry:
-	  PRINTF(4)("Resource %s safely removed.\n", resource->name);
-	  delete []resource->name;
-	  this->resourceList->remove(resource);
-	}
+            default:
+              PRINTF(1)("NOT YET IMPLEMENTED !!FIX FIX!!\n");
+              return false;
+              break;
+            }
+          // deleting the List Entry:
+          PRINTF(4)("Resource %s safely removed.\n", resource->name);
+          delete []resource->name;
+          this->resourceList->remove(resource);
+        }
       else
-	PRINTF(4)("Resource %s not removed, because there are still %d References to it.\n", resource->name, resource->count);
+        PRINTF(4)("Resource %s not removed, because there are still %d References to it.\n", resource->name, resource->count);
     }
   else
@@ -471,9 +473,9 @@
     {
       if (enumRes->prio <= prio)
-	if (enumRes->count == 0)
-	  unload(enumRes, prio);
-	else
-	  PRINTF(2)("unable to unload %s because there are still %d references to it\n",
-		   enumRes->name, enumRes->count);
+        if (enumRes->count == 0)
+          unload(enumRes, prio);
+        else
+          PRINTF(2)("unable to unload %s because there are still %d references to it\n",
+                   enumRes->name, enumRes->count);
       //enumRes = resourceList->nextElement();
       enumRes = iterator->nextElement();
@@ -492,5 +494,5 @@
 */
 Resource* ResourceManager::locateResourceByInfo(const char* fileName, ResourceType type,
-						void* param1, void* param2, void* param3)
+                                                void* param1, void* param2, void* param3)
 {
   //  Resource* enumRes = resourceList->enumerate();
@@ -500,67 +502,67 @@
     {
       if (enumRes->type == type && !strcmp(fileName, enumRes->name))
-	{
-	  bool match = false;
-	  bool subMatch = false;
-
-	  switch (type)
-	    {
+        {
+          bool match = false;
+          bool subMatch = false;
+
+          switch (type)
+            {
 #ifndef NO_MODEL
-	    case PRIM:
-	    case OBJ:
-	      if (!param1)
-		{
-		  if (enumRes->modelSize == 1.0)
-		    match = true;
-		}
-	      else if (enumRes->modelSize == *(float*)param1)
-		match = true;
-	      break;
-	    case MD2:
-	      if (!param1)
-		{
-		  if (enumRes->skinFileName == NULL)
-		    match = true;
-		}
-	      else if (!strcmp(enumRes->skinFileName, (const char*) param1))
-		match = true;
-	      break;
+            case PRIM:
+            case OBJ:
+              if (!param1)
+                {
+                  if (enumRes->modelSize == 1.0)
+                    match = true;
+                }
+              else if (enumRes->modelSize == *(float*)param1)
+                match = true;
+              break;
+            case MD2:
+              if (!param1)
+                {
+                  if (enumRes->skinFileName == NULL)
+                    match = true;
+                }
+              else if (!strcmp(enumRes->skinFileName, (const char*) param1))
+                match = true;
+              break;
 #endif /* NO_MODEL */
 #ifndef NO_TEXT
-	    case TTF:
-	      if (!param1)
-		{
-		  if (enumRes->ttfSize == FONT_DEFAULT_SIZE)
-		    subMatch = true;
-		}
-	      else if (enumRes->modelSize =- *(int*)param1)
-		subMatch = true;
-	      if(subMatch)
-		{
-		  Vector* tmpVec = (Vector*)param2;
-		  if (!param2)
-		    {
-		      if(enumRes->ttfColorR == FONT_DEFAULT_COLOR_R &&
-			 enumRes->ttfColorG == FONT_DEFAULT_COLOR_G &&
-			 enumRes->ttfColorB == FONT_DEFAULT_COLOR_B )
-			match = true;
-		    }
-		  else if (enumRes->ttfColorR == (int)tmpVec->x &&
-			   enumRes->ttfColorG == (int)tmpVec->y &&
-			   enumRes->ttfColorB == (int)tmpVec->z )
-		    match = true;
-		}
-	      break;
+            case TTF:
+              if (!param1)
+                {
+                  if (enumRes->ttfSize == FONT_DEFAULT_SIZE)
+                    subMatch = true;
+                }
+              else if (enumRes->modelSize =- *(int*)param1)
+                subMatch = true;
+              if(subMatch)
+                {
+                  Vector* tmpVec = (Vector*)param2;
+                  if (!param2)
+                    {
+                      if(enumRes->ttfColorR == FONT_DEFAULT_COLOR_R &&
+                         enumRes->ttfColorG == FONT_DEFAULT_COLOR_G &&
+                         enumRes->ttfColorB == FONT_DEFAULT_COLOR_B )
+                        match = true;
+                    }
+                  else if (enumRes->ttfColorR == (int)tmpVec->x &&
+                           enumRes->ttfColorG == (int)tmpVec->y &&
+                           enumRes->ttfColorB == (int)tmpVec->z )
+                    match = true;
+                }
+              break;
 #endif /* NO_TEXT */
-	    default:
-	      match = true;
-	      break;
-	    }
-	  if (match)
-	    {
-	      delete iterator;
-	      return enumRes;
-	    }
-	}
+            default:
+              match = true;
+              break;
+            }
+          if (match)
+            {
+              delete iterator;
+              return enumRes;
+            }
+        }
       enumRes = iterator->nextElement();
     }
@@ -582,8 +584,8 @@
     {
       if (pointer == enumRes->pointer)
-	{
-	  delete iterator;
-	  return enumRes;
-	}
+        {
+          delete iterator;
+          return enumRes;
+        }
       enumRes = iterator->nextElement();
     }
@@ -622,16 +624,16 @@
       if (status.st_mode & (S_IFDIR
 #ifndef __WIN32__
-			    | S_IFLNK
+                            | S_IFLNK
 #endif
-			    ))
-	{
-	  delete tmpDirName;
-	  return true;
-	}
+                            ))
+        {
+          delete tmpDirName;
+          return true;
+        }
       else
-	{
-	  delete tmpDirName;
-	  return false;
-	}
+        {
+          delete tmpDirName;
+          return false;
+        }
     }
   else
@@ -653,20 +655,20 @@
   if (!stat(tmpFileName, &status))
     {
-      if (status.st_mode & (S_IFREG 
+      if (status.st_mode & (S_IFREG
 #ifndef __WIN32__
-			    | S_IFLNK
+                            | S_IFLNK
 #endif
-			    ))
-	{
-	  delete tmpFileName;
-	  return true;
-	}
+                            ))
+        {
+          delete tmpFileName;
+          return true;
+        }
       else
-	{
-	  delete tmpFileName;
-	  return false;
-	}
-    }
-  else 
+        {
+          delete tmpFileName;
+          return false;
+        }
+    }
+  else
     {
       delete tmpFileName;
@@ -691,6 +693,6 @@
     }
   fclose(stream);
-    
-  delete tmpName; 
+
+  delete tmpName;
 }
 
@@ -708,5 +710,5 @@
 }
 
-/** 
+/**
     \param name the Name of the file to check
     \returns The name of the file, including the HomeDir
@@ -737,5 +739,5 @@
 }
 
-/** 
+/**
     \param fileName the Name of the File to check
     \returns The full name of the file, including the DataDir, and NULL if the file does not exist
@@ -748,5 +750,5 @@
 
   char* retName = new char[strlen(ResourceManager::getInstance()->getDataDir())
-			   + strlen(fileName) + 1];
+                           + strlen(fileName) + 1];
   sprintf(retName, "%s%s", ResourceManager::getInstance()->getDataDir(), fileName);
   if (ResourceManager::isFile(retName) || ResourceManager::isDir(retName))
@@ -790,35 +792,35 @@
       PRINT(0)("Name: %s; References: %d; Type:", enumRes->name, enumRes->count);
       switch (enumRes->type)
-	{
-	case OBJ:
-	  PRINT(0)("ObjectModel\n");
-	  break;
-	case PRIM:
-	  PRINT(0)("PrimitiveModel\n");
-	  break;
-	case IMAGE:
-	  PRINT(0)("ImageFile (Texture)\n");
-	  break;
-	default:
-	  PRINT(0)("SoundFile\n");
-	  break;
-	}
+        {
+        case OBJ:
+          PRINT(0)("ObjectModel\n");
+          break;
+        case PRIM:
+          PRINT(0)("PrimitiveModel\n");
+          break;
+        case IMAGE:
+          PRINT(0)("ImageFile (Texture)\n");
+          break;
+        default:
+          PRINT(0)("SoundFile\n");
+          break;
+        }
       PRINT(0)("gets deleted at ");
       switch(enumRes->prio)
-	{
-	default:
-	case RP_NO:
-	  PRINT(0)("first posibility (0)\n");
-	  break;
-	case RP_LEVEL:
-	  PRINT(0)("the end of the Level (1)\n");
-	  break;
-	case RP_CAMPAIGN:
-	  PRINT(0)("the end of the campaign (2)\n");
-	  break;
-	case RP_GAME:
-	  PRINT(0)("when leaving the game (3)\n");
-	  break;
-	}
+        {
+        default:
+        case RP_NO:
+          PRINT(0)("first posibility (0)\n");
+          break;
+        case RP_LEVEL:
+          PRINT(0)("the end of the Level (1)\n");
+          break;
+        case RP_CAMPAIGN:
+          PRINT(0)("the end of the campaign (2)\n");
+          break;
+        case RP_GAME:
+          PRINT(0)("when leaving the game (3)\n");
+          break;
+        }
       enumRes = iterator->nextElement();
     }
Index: orxonox/trunk/src/util/resource_manager.h
===================================================================
--- orxonox/trunk/src/util/resource_manager.h	(revision 4596)
+++ orxonox/trunk/src/util/resource_manager.h	(revision 4597)
@@ -1,7 +1,7 @@
-/*! 
+/*!
     \file resource_manager.h
     \brief The Resource Manager checks if a file/resource is loaded.
 
-    If a file/resource was already loaded the resourceManager will 
+    If a file/resource was already loaded the resourceManager will
     return a void pointer to the desired resource.
     Otherwise it will instruct the coresponding resource-loader to load,
@@ -9,5 +9,5 @@
 
     it is possible to compile the resource Manager without some modules by
-    just adding the compile flag -D.... 
+    just adding the compile flag -D....
     (NO_MODEL)
     (NO_AUDIO)
@@ -23,9 +23,10 @@
 #include "stdlibincl.h"
 
-// FORWARD DEFINITION 
+// FORWARD DEFINITION
 template<class T> class tList;
 
 //! An eumerator for different fileTypes the resourceManager supports
-typedef enum ResourceType { 
+typedef enum ResourceType
+{
 #ifndef NO_MODEL
   OBJ,                  //!< loading .obj file
@@ -46,5 +47,5 @@
 };
 
-//! An enumerator for different UNLOAD-types. 
+//! An enumerator for different UNLOAD-types.
 /**
    RP_NO:        will be unloaded on request
@@ -53,8 +54,11 @@
    RP_GAME:      will be unloaded at the end of the whole Game (when closing orxonox)
 */
-typedef enum ResourcePriority { RP_NO        =   0,
-				RP_LEVEL     =   1,
-				RP_CAMPAIGN  =   2,
-				RP_GAME      =   4 };
+typedef enum ResourcePriority
+{
+  RP_NO        =   0,
+  RP_LEVEL     =   1,
+  RP_CAMPAIGN  =   2,
+  RP_GAME      =   4
+};
 
 //! A Struct that keeps track about A resource its name its Type, and so on
@@ -63,5 +67,5 @@
   void*             pointer;           //!< Pointer to the Resource.
   int               count;             //!< How many times this Resource has been loaded.
-  
+
   char*             name;              //!< Name of the Resource.
   ResourceType      type;              //!< ResourceType of this Resource.
@@ -84,5 +88,5 @@
 //! The ResourceManager is a class, that decides if a file/resource should be loaded
 /**
-   If a file/resource was already loaded the resourceManager will 
+   If a file/resource was already loaded the resourceManager will
    return a void pointer to the desired resource.
    Otherwise it will instruct the corresponding resource-loader to load,
@@ -91,5 +95,5 @@
    It does it by looking, if a desired file has already been loaded.
 */
-class ResourceManager : public BaseObject 
+class ResourceManager : public BaseObject
 {
  public:
@@ -105,13 +109,13 @@
   bool addImageDir(const char* imageDir);
   void* load(const char* fileName, ResourcePriority prio = RP_NO,
-	     void* param1 = NULL, void* param2 = NULL, void* param3 = NULL);
+             void* param1 = NULL, void* param2 = NULL, void* param3 = NULL);
   void* load(const char* fileName, ResourceType type, ResourcePriority prio = RP_NO,
-	     void* param1 = NULL, void* param2 = NULL, void* param3 = NULL);
+             void* param1 = NULL, void* param2 = NULL, void* param3 = NULL);
   bool unload(void* pointer, ResourcePriority prio = RP_NO);
   bool unload(Resource* resource, ResourcePriority = RP_NO);
   bool unloadAllByPriority(ResourcePriority prio);
-  
+
   void debug(void);
-  
+
 
   // utility functions of this class
@@ -127,5 +131,5 @@
 
   Resource* locateResourceByInfo(const char* fileName, ResourceType type, void* param1, void* param2, void* param3);
-  Resource* locateResourceByPointer(const void* pointer);  
+  Resource* locateResourceByPointer(const void* pointer);
 
  private:
Index: orxonox/trunk/src/util/state.cc
===================================================================
--- orxonox/trunk/src/util/state.cc	(revision 4596)
+++ orxonox/trunk/src/util/state.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -28,7 +28,8 @@
    \brief standard constructor
 */
-State::State () 
+State::State ()
 {
-   this->setClassName ("State");
+   this->setClassID(CL_STATE, "State");
+   this->setName("State");
 
    this->camera = NULL;
@@ -44,5 +45,5 @@
    \brief standard deconstructor
 */
-State::~State () 
+State::~State ()
 {
   State::singletonRef = NULL;
Index: orxonox/trunk/src/util/track/pilot_node.cc
===================================================================
--- orxonox/trunk/src/util/track/pilot_node.cc	(revision 4596)
+++ orxonox/trunk/src/util/track/pilot_node.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -28,7 +28,8 @@
    \brief standard constructor
 */
-PilotNode::PilotNode () 
+PilotNode::PilotNode ()
 {
    this->setClassID(CL_PILOT_PARENT, "PilotNode");
+   this->setName("PilotNode");
 
    travelSpeed = 30.0;
@@ -40,12 +41,12 @@
    \brief standard deconstructor
 */
-PilotNode::~PilotNode () 
+PilotNode::~PilotNode ()
 {
 
 }
 
-/** 
+/**
     \brief ticks the node
-    \param time the time about whitch to tick						\
+    \param time the time about whitch to tick                                           \
 */
 void PilotNode::tick(float time)
@@ -73,9 +74,9 @@
    direction = q.apply(direction);
 
-   
+
 
    Vector orthDirection(0,0,1);
    orthDirection = q.apply(orthDirection);
-   
+
    if( this->bUp)
      accel = accel+(direction*acceleration);
@@ -83,11 +84,11 @@
      accel = accel -(direction*acceleration);
    if( this->bLeft)
-     accel = accel - (orthDirection*acceleration); 
+     accel = accel - (orthDirection*acceleration);
    if( this->bRight)
      accel = accel + (orthDirection*acceleration);
-   
+
    Vector move = accel * time;
    this->shiftCoor (move);
-   
+
    Quaternion q1(-M_PI/4 * this->roll/40000.0, Vector(0,0,1));
    Quaternion q2(-M_PI/4 * this->pitch/30000.0, Vector(0,1,0));
Index: orxonox/trunk/src/util/track/track_manager.cc
===================================================================
--- orxonox/trunk/src/util/track/track_manager.cc	(revision 4596)
+++ orxonox/trunk/src/util/track/track_manager.cc	(revision 4597)
@@ -40,4 +40,6 @@
 TrackElement::TrackElement(void)
 {
+  this->setClassID(CL_TRACK_ELEMENT, "TrackElement");
+
   this->isFresh = true;
   this->isHotPoint = false;
@@ -358,4 +360,5 @@
 {
   this->setClassID(CL_TRACK_MANAGER, "TrackManager");
+  this->setName("TrackManager");
 
   TrackManager::singletonRef = this; // do this because otherwise the TrackNode cannot get The instance of the TrackManager
Index: orxonox/trunk/src/util/track/track_node.cc
===================================================================
--- orxonox/trunk/src/util/track/track_node.cc	(revision 4596)
+++ orxonox/trunk/src/util/track/track_node.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -28,8 +28,8 @@
    \brief standard constructor
 */
-TrackNode::TrackNode () 
+TrackNode::TrackNode ()
 {
   this->setClassID(CL_TRACK_NODE, "TrackNode");
-  this->setName("TrackNode"); /* absolete but still used... */
+  this->setName("TrackNode");
 
   NullParent::getInstance()->addChild(this);
@@ -38,9 +38,8 @@
 }
 
-
 /**
    \brief standard deconstructor
 */
-TrackNode::~TrackNode () 
+TrackNode::~TrackNode ()
 {
 
Index: orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- orxonox/trunk/src/world_entities/environment.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/environment.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -13,5 +13,5 @@
    ### File Specific
    main-programmer: Patrick Boenzli
-   co-programmer: 
+   co-programmer:
 */
 
@@ -31,5 +31,5 @@
 Environment::Environment () : WorldEntity()
 {
-
+  this->setClassID(CL_ENVIRONMENT, "Environment");
 }
 
@@ -38,5 +38,5 @@
    \brief deletes an environment
 */
-Environment::~Environment () 
+Environment::~Environment ()
 {
 
@@ -67,5 +67,5 @@
    \brief draws the Environment
 */
-void Environment::draw () 
+void Environment::draw ()
 {
   //this->getRelCoor().debug();
@@ -74,10 +74,10 @@
   glPushMatrix();
   float matrix[4][4];
-  
+
   glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
   //rotate
   this->getAbsDir().matrix (matrix);
   glMultMatrixf((float*)matrix);
-  
+
   this->model->draw();
 
Index: orxonox/trunk/src/world_entities/npc.cc
===================================================================
--- orxonox/trunk/src/world_entities/npc.cc	(revision 4596)
+++ orxonox/trunk/src/world_entities/npc.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -27,7 +27,7 @@
 
 
-NPC::NPC()
-  : WorldEntity()
+NPC::NPC() : WorldEntity()
 {
+  this->setClassID(CL_NPC, "NPC");
   hasDied = 0;
 }
@@ -41,17 +41,17 @@
 }
 
-void NPC::getPosition(float* x, float* y, float* z) 
+void NPC::getPosition(float* x, float* y, float* z)
 {
-  *x = xCor; 
-  *y = yCor; 
+  *x = xCor;
+  *y = yCor;
   *z = zCor;
 }
 
-void NPC::setCollisionRadius(float r) 
+void NPC::setCollisionRadius(float r)
 {
   collisionRadius = r;
 }
 
-float NPC::getCollisionRadius() 
+float NPC::getCollisionRadius()
 {
   return collisionRadius;
@@ -64,5 +64,5 @@
 void NPC::paint()
 {
-  //cout << "WorldEntity::WorldEntity();" << endl;  
+  //cout << "WorldEntity::WorldEntity();" << endl;
   /* fix: died flag approach is very stupid, just to show @ convention */
   if( hasDied == 0 ) {
@@ -75,5 +75,5 @@
 }
 
-void NPC::drawNPC() 
+void NPC::drawNPC()
 {
 
